#ifndef KISSCOUNT_H
#define KISSCOUNT_H

#include <fstream>
#include <iostream>
#include <list>

#include <model/model.h>
#include <view/wxUI.h>

class wxUI;
class KissCount
{
 public:
  KissCount();
  ~KissCount();

  std::list<wxString> GetUsers();
  bool IsValidUser(wxString user, wxString password);
  void LoadUser(wxString user);
  void LoadYear(int year, bool force=false);
  User* GetUser();
  
 private:
  wxUI* _wxUI;
  Database* _db;
  User* _user;
};

#endif
