#ifndef PREFERENCESPANEL_H
#define PREFERENCESPANEL_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <wx/treectrl.h>
#include <wx/statbox.h>
#include <wx/gbsizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>

#include <controller/KissCount.h>
#include "wxUI.h"
#include <model/model.h>

class wxUI;
class KissCount;

class PreferencesPanel: public wxPanel
{
public:
  PreferencesPanel(KissCount* kiss, wxUI *parent);
  void ChangeUser();

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxGrid* _accountGrid;
  wxGrid* _categoriesGrid;

  void LoadAccounts(User* user);
};

#endif
