#ifndef USER_H
#define USER_H

#include <list>
#include <wx/wx.h>
#include "Preferences.h"

struct operation {
  wxString id;
    unsigned int day;
    unsigned int month;
    unsigned int year;
    int amount;
    wxString description;
    wxString category;
    bool fix_cost;
  wxString account;
} ;

struct Account {
  wxString id;
    wxString name;
    wxString number;
    int amount;
    bool shared;
    bool _default;
};

class User
{
public:
  ~User();

  wxString _id;
  wxString _name;
  wxString _password;
  std::map<wxString, Account> _accounts;
  std::map<unsigned int, std::map<unsigned int, std::list<operation> >* > _operations;
  Preferences _preferences;

  wxString GetCategoryName(wxString catId);
  wxString GetAccountName(wxString accountId);
};

#endif
